<template>
  <div @click="getInfo">
    <div>
      <span v-if="disp.formData.db.formDb && disp.formData.db.formTable">输入表信息:
        {{ disp.formData.db.formDb }}.
        {{ disp.formData.db.formTable }}
        ({{ disp.formData.db.formTableComment }})
      </span>
      <span v-else>无输入表</span>
      <br><br>
      <span v-if="disp.formData.db.toDb && disp.formData.db.toTable">输出表信息:
        {{ disp.formData.db.toDb }}.
        {{ disp.formData.db.toTable }}
        ({{ disp.formData.db.toTableComment }})
      </span>
      <span v-else>无输出表</span>
      <br><br>
    </div>
    <div align="center">
      <el-table v-model="disp.formData.fields">
        <el-table-column label="输入字段" prop="formFields" />
        <el-table-column label="输出字段" prop="toFields" />
      </el-table>
    </div>

  </div>
</template>

<script>
// 这里可以导入其他文件（比如：组件，工具js，第三方插件js，json文件，图片文件等等）,
// 例如：import 《组件名称》 from '《组件路径》,
export default {
  // import引入的组件需要注入到对象中才能使用"
  name: 'exporFind',
  props: {
    data: {},
    node: {},
    disp: {
      nodeCode: undefined,
      nodeType: undefined,
      findFlag: false,
      updFlag: false,
      formData: {
        db: {},
        fields: []
      }
    }
  },
  data() {
    // 这里存放数据"
    return {}
  },
  // 计算属性 类似于data概念",
  computed: {},
  // 生命周期 - 创建完成（可以访问当前this实例）",
  created() {
  },
  // 方法集合",
  methods: {
    // 根据节点编码获取节点的所有信息,包括参数配置
    getInfo() {
      console.log(this.data)
      console.log(this.node)
      /** 1.查询该结点的上一级节点,并获取其信息*/
      // this.data.lineList.forEach(line => {
      //   if (line.to === this.node.id){
      //
      //   }
      // })
    },
    /** 类型转换 mysql -> vue */
    getVueDisp(dispList) {
      let type = this.node.type
      const db = {}
      const fields = []
      if (type === 'exportation') {
        let i = 0
        let j = 0
        dispList.forEach(disp => {
          if (disp.dispKey === 'formDb'){
            db.formDb = disp.dispValue
          }
          if (disp.dispKey === 'formTable'){
            db.formTable = disp.dispValue
            db.formTableComment = disp.dispLabel
          }
          if (disp.dispKey === 'toDb'){
            db.toDb = disp.dispValue
          }
          if (disp.dispKey === 'toTable'){
            db.toTable = disp.dispValue
            db.toTableComment = disp.dispLabel
          }
          if (disp.dispKey === 'formFields'){
            fields.push({
              id: i++,
              fieldName: disp.dispValue,
              fieldType: disp.dispType,
              fieldComment: disp.dispLabel
            })
          }
          if (disp.dispKey === 'toFields'){
            fields.push({
              id: j++,
              fieldName: disp.dispValue,
              fieldType: disp.dispType,
              fieldComment: disp.dispLabel
            })
          }
        })
      }
      return {db, fields}
    }
  }
}
</script>
<style scoped>

</style>
